import request from '@/utils/axios2'

// 获取/搜索 询价列表
export const getIndentList = (data) =>
  request({
    method: 'post',
    url: `/indent/lists`,
    data,
  })

export const getCreator = (data) =>
  request({
    method: 'post',
    url: `/indent/admins`,
    data,
  })

export const getVendorList = (data) =>
  request({
    url: `/indent/supplier`,
    method: 'post',
    data,
  })

export const getCustomList = (data) =>
  request({
    url: '/indent/account',
    method: 'post',
    data,
  })

// 创建询价
export const createIndent = (data) =>
  request({
    url: '/indent/indent',
    method: 'post',
    data,
  })

// 删除询价/报价
export const deleteIndent = (data) =>
  request({
    url: '/indent/delete',
    method: 'post',
    data,
  })

export const getSkuList = (data) =>
  request({
    url: '/indent/skuselect',
    method: 'post',
    data,
  })

// 创建报价
export const createQuote = (data) =>
  request({
    url: '/indent/newquote',
    method: 'post',
    data,
  })

// 获取运费参数详情
export const getSettingDetail = (data) =>
  request({
    url: '/indent/settingsDetails',
    method: 'post',
    data,
  })

// 运费参数设置
export const saveSetting = (data) =>
  request({
    url: '/indent/settings',
    method: 'post',
    data,
  })

// 获取商品分类数据
export const getCategoryTree = () =>
  request({
    url: '/Indent_category/IndentCategorySelect',
    method: 'get',
  })

// sku申请
export const applySKU = (data) =>
  request({
    url: '/Indent/apply',
    method: 'post',
    data,
  })

// 创建引用报价数据
export const cloneQuote = (data) =>
  request({
    url: '/indent/cloneids',
    method: 'post',
    data,
  })

export const getCalcParams = (data) =>
  request({
    url: '/indent/cal',
    method: 'post',
    data,
  })

export const saveCalcData = (data) =>
  request({
    url: '/indent/savecal',
    method: 'post',
    data,
  })

// 采纳报价. 实际上就是设置默认. 一条询价下面只会有一条报价被采纳
export const setDefaultQuote = (data) =>
  request({
    url: '/indent/setdefault',
    method: 'post',
    data,
  })

// 计价导出的记录. 转单 界面列表数据
export const getCalcPriceRecord = (data) =>
  request({
    url: '/indent_change/getList',
    method: 'post',
    data,
  })

// 向crm转单
export const generateOrder = (data) =>
  request({
    url: '/indent_change/updatechange',
    method: 'post',
    data,
  })

export const downloadPDF = (data) =>
  request({
    url: '/indent/export',
    method: 'post',
    data,
  })
