import { ref } from 'vue'
import zhCN from './zh-cn'

const target = ref(new Map())

const generateTrans = function (arr: any, parent = '' as string) {
  for (const key in arr) {
    const temp = parent ? `${parent}.${key}` : key
    if (Object.prototype.hasOwnProperty.call(arr, key)) {
      if (typeof arr[key] === 'string') {
        target.value.set(temp, arr[key])
      } else {
        generateTrans(arr[key], temp)
      }
    }
  }
}
generateTrans(zhCN)

export const $t = (str: string) => {
  const result = target.value.get(str)
  return result || str
}
