import common from './common'
import order from './order/index'

export default {
  ...common,
  top_bar: {
    product_and_member: '商品和会员',
    system: '系统管理',
    order: '订单管理',
  },
  slider_member: {
    member: {
      index: '会员',
      manage: {
        index: '会员管理',
        au_manage: 'AU成员列表',
        level: '会员等级',
      },
    },

    product: {
      index: '商品',
      manage: {
        index: '商品管理',
        list: '商品列表',
        au_price: 'AU商品价格',
        stock: '商品库存管理',
        warehouse: '仓库管理',
      },
      search: {
        index: '商品检索',
        keyword: '商品关键词',
        report: '搜索报表',
      },
    },

    property: {
      index: '属性',
      product: {
        index: '商品属性',
        decoration: 'AU打印价格',
        addition: 'AU额外服务',
        cycle: '供应周期',
        attribute: '分级价格',
        decoration_type: '打印类型',
        category: '商品分类',
        appa_category: 'APPA分类',
        filter: '筛选属性',
        icon: '商品图标',
        freight: '运费管理',
        weight: '重量管理',
        tag: '属性标签',
      },
    },
    batch: {
      index: '批量',
      action: {
        index: '批量操作',
        price: '批量调价',
        common: '通用批量操作',
        au_action: 'AU批量操作',
        history: '操作历史',
      },
    },
    work_order: {
      index: '工单',
      work_order_manage: {
        index: '工单管理',
        work_order_list: '工单列表',
      },
    },
    supplier: {
      index: '供应商',
      manage: {
        index: '供应商管理',
        list: '供应商',
        product: '供应商商品',
        accessory: '商品配件',
        pricing: '产品计价',
      },
    },
    article: {
      index: '图文',
      article_setting: {
        index: '图文设置',
        home_page_setting: '首页图文',
        download: '下载中心',
        contact: '联系我们',
        article_manage: '文章管理',
        catalogue: 'Catalogue',
        newsletter: 'Newsletter',
        video: '视频管理',
        question: '常见问题',
        privacy_policy: '隐私政策',
        refund_and_return: '退款和退货',
        terms_and_conditions: '条款和条件',
        site_info: '网站信息',
      },
    },
    resource: {
      index: '资源',
      manage: {
        index: '资源管理',
        edm_manage: 'EDM管理',
        edm_resource: 'EDM资源',
        showcase: 'Showcase',
        data_tag: '资料标签',
        data: '营销资料库',
      },
    },
  },
  slider_authority: {
    authority: {
      index: '权限',
      authority_manage: {
        index: '权限管理',
        member: '成员管理',
        role: '角色管理',
        department: '部门管理',
      },
    },
  },
  slider_order: {
    indent: {
      index: '报价管理',
      indent_manage: {
        index: 'Indent',
        list: 'Indent List',
      },
      product_manage: {
        index: '商品管理',
        list: '商品列表',
        category: '商品分类',
      },
    },
  },
  order: {
    ...order,
  },
}
