/* eslint-disable */
export enum ServiceTypeKeyEnum {
  PC = 'PC',
  Pangea = 'Pangea',
  PangeaTaxReimbursement = 'PangeaTaxReimbursement',
  AZYTaxReimbursement = 'AZYTaxReimbursement',
  FOTTaxReimbursement = 'FOTTaxReimbursement',
  PrimePacCommon = 'PrimePacCommon',
  PrimePacSoft = 'PrimePacSoft',
}

export type TypeService = {
  [key in ServiceTypeKeyEnum]: (
    | string
    | {
        value: string
      }
  )[]
}

export interface ISelectItem {
  label: string | number
}
export interface IProduct {
  label: string
  value: string
  [key: string]: number | string
}

export interface IProductItem {
  name: string
  desc: string
  id: string
  quantity: number | string
  rate: number | string
  requirement: string
  amount: number | string
  discount: number | string
  candidate: IProduct[]
  Warehouse?: string
  CF_Product_Type?: string
  [key: string]: number | string | IProduct | IProduct[] | undefined
}
export interface IForm {
  Order_Type: string
  Artwork_Link: string
  Currency: string
  PO_Date: string
  Supplier_Payment_Terms: string
  Title: string
  field9: string
  field7: string
  field8: string
  field6: string
  productList: IProductItem[]
  field12: string
  field13: string
  field10: string
  field11: string
  field4: string
  field5: string
  saleOrderId: string
  Delivery_Details: string
  // 用了处理给接口发送数据前的包装格式
  Related_Sales_Order?: any
  Product_Details?: any
  Status?: string
  Subject?: string
  Sub_Total?: number
  Total_Taxes?: number
  Total_Discount?: number
  Adjustment?: number
  Grand_Total?: number
  Created_By?: any
  Vendor_Name?: any
  currentVendor?: string // 仅前端界面用到, API接口的字段是Vendor_Name
  Reference?: string // 用在 表单项:订单号 显示
  Warehouse?: string
  CF_Product_Type?: string
}

export interface IVendorItem {
  value: string
  label: string
  Primary_Contact_name: string
  PDF_display: string
  PDF_display2: string
  Payment_Terms: string
  High_Risk_Supplier: Boolean
  [x: string]: string | Boolean | null
}

export interface IRecommandVendor {
  id: string
  name: string
}

export interface ICompanyItem {
  id: string
  name: string
  addr: string
  phone: string
  label: string
  signPath: string
  fax?: string
  taxReimbursement?: boolean
}

interface IRole {
  name: string
  id: number
}
export interface IUser {
  id: number
  email: string
  users_id: string
  full_name: string
  Organization: string
  role: IRole
  [x: string]: string | number | object
}
