import debounce from 'lodash/debounce'
const multiply = function (value: number, ratio = 100) {
  return parseFloat((value * ratio).toPrecision(12))
}

const toFixed = function (number: number, ratio = 100) {
  return Math.round(multiply(number, ratio)) / ratio
}

// 按长度分割数组
const splitArray = function (target: any[], length = 100) {
  const result = []
  if (target.length <= length) {
    result.push(target)
  } else {
    let index = 0
    while (index < target.length) {
      result.push(target.slice(index, index + length))
      index = index + length
    }
  }
  return result
}

export default {
  debounce,
  multiply,
  toFixed,
  splitArray,
}
