import { create, all } from 'mathjs'

/**
 * 数学运算库math.js的实例.
 *
 * 用于解决 包括但不限于IEEE754浮点数运算精度 问题.
 **/
const mathjs = create(all, { number: 'BigNumber' })

/**
 * 转换 {value}, 保留 {precision} 位的小数
 **/
export const savePrecision = function (value, precision = 2) {
  const temp = Number(value)
  return Number(
    mathjs.format(typeof temp === 'number' ? temp : 0, (v) =>
      v.toFixed(precision)
    )
  )
}

export default mathjs
